<template>
  <div class="side-bar-wrapper">
    <app-side-bar-section>
      Wallets
      <template slot="title-icon">
        <font-awesome-icon :icon="iconPlus"
        @click="onAddNewWalletButtonClick"/>
      </template>
      <template slot="section-content">
        <div class="wallet-list">
          <ul>
            <li>
              <wallet-button>
                Coinbase
              </wallet-button>
            </li>
            <li>
              <wallet-button>
                Bittrex BTC
              </wallet-button>
            </li>
          </ul>
        </div>
      </template>
    </app-side-bar-section>
  </div>
</template>

<script>
import AppSideBarSection from '@/components/AppSideBarSection';
import WalletButton from '@/components/WalletButton';
import FontAwesomeIcon from '@fortawesome/vue-fontawesome';

import faPlus from '@fortawesome/fontawesome-free-solid/faPlus';

export default {
  name: 'AppSideBar',
  components: {
    AppSideBarSection,
    WalletButton,
    FontAwesomeIcon,
  },
  computed: {
    iconPlus() {
      return faPlus;
    },
  },
  methods: {
    onAddNewWalletButtonClick() {
      this.$router.push({ name: 'NewWallet' });
    },
  },
};
</script>

<style scoped>
.side-bar-wrapper {
  /* padding: 0 0.6em; */

  background-color: transparent;
}

.wallet-list > ul {
  padding: 0;

  list-style-type: none;
}
</style>
